#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int n,maxi;
    cin>>n;
    vector<int> a(n);
    vector<int> b(n);
    for(int i=0; i<n; i++)
    {
        cin>>a[i];
    }
    for(int i=0; i<n; i++)
    {
        cin>>b[i];
    }

    for(int i=0;i<n;i++)
    {
        int xor1=0;
        int and1=b[i];
        for(int j=i;j<n;j++)
        {
            xor1^= a[j];
            and1&= b[j];
            int tr=xor1*and1;
            maxi = max(maxi,tr);
        }
    }
    cout<<maxi;
    return 0;
}